-- SysInfo.e ----------------------------------------------------------------
-- May develop into some things relating to std\OS.e
-- 4/09/2014 9:45 PM Modified to Win32Lib

-- Platform: Eu4 + Win32Lib.
-- --------------------------------------------------------------------------

include std/OS.e

public function SystemID()
-- Call early in your program. Displays a message about the system and
-- returns the process id (pid) for the program.
	sequence s = uname()
	atom pid = get_pid()

ifdef WINDOWS then
	
	if length(s) = 7 then
		InfoMessage(sprintf("Sys: %s\nOS: %s\nPlatform: %d\nBuild: %d\nVer: %d.%d\n\nProcess: %d",
				{s[1],s[2],s[3],s[4],s[6],s[5],pid}),"System")
	elsif not length(s) then
		WarnMessage("Internal error.", "System")
	else
		WarnMessage("Unknown system condition\nProgram will close.","System")
		closeApp()
	end if
	
elsifdef LINUX then
	
	InfoMessage(sprintf("System: Linux\nProcess: %d\n",{get_pid()}),"")
	
elsedef
	
	puts(1, "System: Undefined\n")
	
end ifdef

	return pid
end function -- SystemID ---------------------------------------------------

