-- e2html.e

-- <h4>Interface:</h4>
-- To work the program needs the following library to be invoked:
  --<h5>Includes:</h5>
--<ul>
include IO.e
--<li>IO.e - for Class <b>File</b>
--</ul>

global Instance outputFile

global function split(sequence st, sequence delim)
        sequence ret
        object pos
        ret={}
        
        while 1 do
                pos = match(delim, st)
                if pos then
                    ret = append(ret, st[1..pos-1])
                    st = st[pos+length(delim)..length(st)]
                else
                    exit
                end if
        end while
        ret = append(ret, st)
        
        return ret
end function

procedure Html_scan_1(Instance self,Instance outputFile)
    object line
    string rest
    line = MethodFunc(self,"GetS",{})
    while (1) do
        if (atom(line) and line = EOF) then
            exit 
        elsif length(line) > 2 then
            rest = line[3..$]
            if equal(line[1..2],"--") then
                MethodProc(outputFile,"Puts",{rest & '\n'})
            end if          
        end if
        line = MethodFunc(self,"GetS",{})
    end while
    MethodProc(self,"Close",{})
    MethodProc(outputFile,"Close",{})
end procedure

Class("Html")
    Extends({"File"})
    
    Method("Scan",routine_id("Html_scan_1"))

EndClass("Html")

