global function sailboat()
-- A lateen-sailed sailing boat in profile
-- in canonical position inside unit square.
-- Function returns this structure.
sequence sailboat
sailboat = {
{
  {
    -- Hull
    1,
    128,
    1,
    {
      {-0.31,0},
      {-0.28,0.03},
      {0.28,0.07},
      {0.2,0},
      {-0.31,0}
    }
  },
  {
    -- Mast
    2,
    0,
    0,
    {
      {0,0.05},
      {0,0.48}
    }
  },
  {
    -- Sail
    1,
    65535,
    1,
    {
      {-0.18,0.49},
      {0.19,0.08},
      {-0.12,0.09},
      {-0.18,0.49}
    }
  },
  {
    -- Spar
    2,
    0,
    0,
    {
      {-0.18,0.49},
      {0.19,0.09}
    }
  }
 }
}
return sailboat
end function
